Subject: [bug#79004] Request for merging "rust-team" branch

From: Hilton Chain <[email-masked]>
Date: Sun, 13 Jul 2025 17:12:01 +0800

Apologize for the long delay, since all build work is already there, I should
start the merge process earlier.

rust-team has been rebased with Rust 1.88
(https://codeberg.org/guix/guix/pulls/989), except the one patch changing the
default Rust version.

I need help to finish transfering https://codeberg.org/hako/guix-rust-registry,
there's a button to accept it.

The remaining work is:
1. Address reviews in https://codeberg.org/guix/guix/pulls/387.
2. Add a news entry.
3. Test guix-rust-past-crates.

I expect to finish most of them within today.  Since there's also a build job on
ci.guix.gnu.org, the merge process should not take too long.